version: '3'

services:
  web:
    image: nginx:alpine
    container_name: web
    ports:
      - 8080:80
    volumes:
      - .:/code
      - ./nginx.conf:/etc/nginx/conf.d/default.conf

  php:
    build: .
    container_name: php
    ports:
      - 9123:9000
    volumes:
      - .:/code

  db:
    container_name: db
    image: mariadb:latest
    restart: unless-stopped
    ports:
      - 3307:3306
    environment:
      MYSQL_ROOT_PASSWORD: 'password'
      MYSQL_DATABASE: 'incoviba'
      MYSQL_USER: 'incoviba'
      MYSQL_PASSWORD: '5GQYFvRjVw2A4KcD'
    volumes:
      - dbdata:/var/lib/mysql

  adminer:
    container_name: adminer
    image: adminer:latest
    restart: unless-stopped
    ports:
      - 8082:8080
    environment:
      ADMINER_DESIGN: 'dracula'
      ADMINER_PLUGINS: 'dump-json'

volumes:
  dbdata:
